$(document).ready(function() {

  $(".sortable").sortable();

  $(".isActive").change(function () {
    var $data = $(this).prop("checked");
    var $data_url = $(this).data("url");

    if(typeof $data !== "undefined" && $data_url !== "undefined")
    {
      $.post($data_url,{data: $data, dataType: "html"},  function (response) {
        if ($data == 0 ) {swal('Kayıt Pasife Çekildi')}
        else {swal('Kayıt Aktif Edildi')}
      });
    }
  })



    $(".isHome").change(function () {
    var $data = $(this).prop("checked");
    var $data_url = $(this).data("url");

    if(typeof $data !== "undefined" && $data_url !== "undefined")
    {
      $.post($data_url,{data: $data, dataType: "html"},  function (response) {
        if ($data == 0 ) {swal('Kayıt Ana sayfada Gösterildi')}
        else {swal('Kayıt Ana Sayfadan Kaldırıldı')}
      });
    }
  })


  $(".sortable").on("sortupdate", function (event,ui) {
    var $data = $(this).sortable("serialize");
    var $data_url = $(this).data("url");
    $.post ($data_url, {data: $data}, function (response) {

    })
  })

  $(".isCover").change(function () {
    var $data = $(this).prop("checked");
    var $data_url = $(this).data("url");

    if(typeof $data !== "undefined" && $data_url !== "undefined")
    {
      $.post($data_url,{ data: $data }, function (response) {
        //$(".image_list_container").html(response);
      });
    }
  })


  var uploadSection = Dropzone.forElement("#dropzone");
  uploadSection.on("complete", function (file) {

    var $data_url = $("#dropzone").data("url");

    $.post($data_url, {}, function(response){
      $(".image_list_container").html(response);

      /*AKTİF PSAİFİ BURDA TEKRAR ÇALIŞTIRIYORUZ*/
      $(".isActive").change(function () {
        var $data = $(this).prop("checked");
        var $data_url = $(this).data("url");

        if(typeof $data !== "undefined" && $data_url !== "undefined")
        {
          $.post($data_url,{data: $data, dataType: "html"},  function (response) {
            if ($data == 0 ) {swal('Kayıt Pasife Çekildi')}
            else {swal('Kayıt Aktif Edildi')}
          });
        }
      })

    });

  })

});